Package org.pgpainless.sop

# Class DetachedSignImpl

java.lang.Object
org.pgpainless.sop.DetachedSignImpl

All Implemented Interfaces:
  `sop.operation.AbstractSign<sop.operation.DetachedSign>`, `sop.operation.DetachedSign`

public class DetachedSignImpl extends Object implements sop.operation.DetachedSign
Implementation of the

    sign

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`DetachedSignImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.ReadyWithResult<sop.SigningResult>`
`data(InputStream data)`
`sop.operation.DetachedSign`
`key(InputStream keyIn)`
`sop.operation.DetachedSign`
`mode(sop.enums.SignAs mode)`
`sop.operation.DetachedSign`
`noArmor()`
`sop.operation.DetachedSign`
`withKeyPassword(byte[] password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.AbstractSign

`key, withKeyPassword`

### Methods inherited from interface sop.operation.DetachedSign

`data`

## Constructor Details

### DetachedSignImpl

public DetachedSignImpl()

## Method Details

### noArmor

public sop.operation.DetachedSign noArmor()

Specified by:
  `noArmor` in interface `sop.operation.AbstractSign<sop.operation.DetachedSign>`

### mode

public sop.operation.DetachedSign mode(sop.enums.SignAs mode)

Specified by:
  `mode` in interface `sop.operation.DetachedSign`

### key

public sop.operation.DetachedSign key(InputStream keyIn) throws sop.exception.SOPGPException.KeyCannotSign, sop.exception.SOPGPException.BadData, IOException

Specified by:
  `key` in interface `sop.operation.AbstractSign<sop.operation.DetachedSign>`
Throws:
  `sop.exception.SOPGPException.KeyCannotSign`
  `sop.exception.SOPGPException.BadData`
  `IOException`

### withKeyPassword

public sop.operation.DetachedSign withKeyPassword(byte[] password)

Specified by:
  `withKeyPassword` in interface `sop.operation.AbstractSign<sop.operation.DetachedSign>`

### data

public sop.ReadyWithResult<sop.SigningResult> data(InputStream data) throws IOException

Specified by:
  `data` in interface `sop.operation.DetachedSign`
Throws:
  `IOException`